New Page 1

This page uses frames, but your browser doesn't support them.


About Paurex

• Getting program updates •

You may download Texture Processor from the following source:

Internet WWW

http://www.paurex.com/download.htm

• Feedback •

If you have any comments or concerns about this product please direct them
to support@paurex.com. Your feedback is important to us in order to get an
idea of how to make this software a better product for you.

• Contacting Paurex •

E-mail

Support | support@paurex.com
Webmaster: | webmaster@paurex.com

WEB

Main site: http://www.paurex.com


Commands window

commands.gif (2936 bytes)

The set of various commands of Texture Processor which is subdivided into the following groups:

Generate

The basic group. It's intended for generation of graphical primitives, i.e. all commands of this group are the basis of our future texture. The more
commands you will use the your texture will be more complex.

Deform

Commands for distortion and deformation of a texture. It is intended for
global change of the texture.

Filters

These commands are intended for giving to a texture some design.

Buffer

The analogue of well-known “clipboard”. Here you can put (Move to Buffer)
the certain staff of a texture during generation, then connecting that
(Connect Buffer) with subsequent.

Adust colors

Adjustment of colors of a texture. Do you want yellow, green or maybe
grayscale color applicable to your texture??? Using these commands you
can make it without any problems.


Controls

• Random Seed bar •

randseed.GIF (670 bytes)

The main generator of the random sequences. All graphic primitives of
"Generate" group depend on this parameter.

• Control Bars •

bars.GIF (2950 bytes)

Depending on the selected command in "Commands" window these bar's
accept various functions.

• Fixed Colors •

method.GIF (648 bytes)

Choice of random or defined (fixed) color from the graphic palette of 16M
colors for a command. For beginners it is recommended to hold this check
box switched off.

• Method •

The method of overlay an image of the current command on already created texture. It is similar "Layers" in graphic editors.

• Middle - average value
• Add - add a command's image to a texture
• Sub - subtract a command's image from a texture
• Xor - logical operator xor
• And - logical operator and
• Or - logical operator or
• Multiple - the image of a command is multiplied on the image of a texture
• Shade - shade a texture concerning the image of a command
• Mix Low - the point with the greater brightness gets out
• Mix High - the point with smaller brightness gets out

• XY Offsets •

offset.GIF (957 bytes)

Sets displacement (in pixels) on X and Y axes. Works only in "Generate" group and also in "Connect Buffer" command (Buffer group). This very useful function is necessary for thin(final) adjustment of a texture.


New Page 2

How can I register?

To purchase the product, please visit our Web-site and see "Order"
section. After purchasing you will receive a registration key via email.

Web-site: http://www.paurex.com
E-mail: support@paurex.com


Information panel

information.gif (2813 bytes)

• Zoom •

The zoom bar lets you zoom in or out so that you can get a more detailed
or general view.

• Auto Zoom •

Automatically selects the maximal size for the image of a texture.

• Look Buffer •

Allows to look the image of the buffer.

• Width and Height •

The current sizes of a texture. You cannot change these values when
editing the texture.

• Author's Remark •

This option includes entries for captions, keywords, credits, origins or
simply some information.


Introduction

Overview of features
System requirements

Registration and licensing

What is registration?
Why should I register?
How can I register?
Licensing details

About Paurex


New Page 2

Licensing details

• Software license agreement •

This user license agreement (the "AGREEMENT") is an agreement between
you (individual or single entity) and Paurex, for the Paurex software
(the "SOFTWARE") that is accompanying this AGREEMENT.

The SOFTWARE is the property of Paurex and is protected by copyright laws
and international copyright treaties. The SOFTWARE is not sold, it is licensed.

• Distribution •

You are hereby licensed to make as many copies of the FREEWARE VERSION
as you wish and distribute it to anyone provided that all files are intact. You
must distribute the install form of the FREEWARE VERSION (not the files
resulting of an installation). You are not allowed to sell the FREEWARE
VERSION (except for shipment and handling сharges).

• Warranty disclaimer •

The SOFTWARE is supplied "AS IS". Paurex disclaims all warranties,
expressed or implied, including, without limitation, the warranties of
merchantability and of fitness for any purpose. The user must assume
the entire risk of using the SOFTWARE.

• Disclaimer of damages •

Paurex assumes no liability for damages, direct or consequential, which may
result from the use of the SOFTWARE, even if Paurex has been advised of the
possibility of such damages.


Main buttons

buttons.gif (1532 bytes)

• Upwards and downwards arrows •

Moves the marked command on one level upwards(downwards).

• Add •

Adds the current command in "Program window".

• Cancel •

Cancels the current command.

• State •

Changes a state of the marked command in "Program window" on
active or not active.

• Remove •

Removes the command marked in "Program window".

• Generate •

Creates a texture.


Introduction:

Overview of features
 System requirements

User Interface:

Commands window
Information panel
Main buttons
File menu
Controls
Options

Tutorials:

Tutorial #1
Tutorial #2
Tutorial #3

Licensing:

Licensing details

Contacts:

About Paurex


document.gif (636 bytes)
logo.jpg (36907 bytes)


Options

options.gif (912 bytes)

• Auto Generate •

This option automatically allows to create a texture thus each time it is not necessary to press the "Generate" button, but if you have a complex texture "Auto Generate" can slow down process of creation.

• Show the clock •

This option allows to show the cursor of expectation during creation.


Overview of features

Texture Processor is the unique program for creating various textures.
The basic algorithm placed into the heart of Texture Processor allows
to get practically unlimited quantity of complex textures in a minimal
amount of time. Texture Processor is intended both for 3d-artists and
web-designers. Besides, any other users not able to draw in various
graphic editors, will receive full pleasure and breadth of actions,
working with Texture Processor.

Here are some key features of Texture Processor:

• Very simple interactive interface
• Seamless texture rendering
• Smart random creation
• You may edit each step of your program


File menu

menu.gif (1029 bytes)

• New •

Creates a new empty file of a texture.

• Open •

Opens a file of a texture.

• Save •

Saves your texture under the name displayed in the Title bar.

• Save As •

Saves a new file of texture or a new version of an existing texture's file.

• Export •

Opens the export dialog box, which allows you to save your texture in
a format that other programs can read.

• Exit •

Ends the current Texture Processor session.


System requirements

• Operation systems: Windows 95/98/ME/NT 4.0/2000
• CPU: Pentium-II 233 MHz or higher
• 32 Mb RAM
• 1 Mb free disk space
• SVGA 800x600 True Color video mode


Tutorial 1

tutorial2.JPG (13944 bytes)

1) Move the cursor to "Commands" window and click on the command
"Sine Plasma" in "Generate" group.

2) Now we can edit this command in "Controls" window. Let's try. Set values
of "Period of X Sine" and "Period of Y Sine" to 4.

3) Then click on "Add" button. "Sine Plasma" was remembered in "Program"
window.

4) Then, again choose "Sine Plasma" and set such parameters:

Period of X Sine: 4
Period of Y Sine: 4
Red Mask: 192
Green Mask: 128
XY Offsets: 165
Method: Or

Other parameters left without changes.

5) Then click on "Add" button.

6) For smoothing sharp edges of the texture choose "Blur" in "Filters" group.

7) Сlick on "Add" button.

8) That's all, now your texture is ready.

Hint: Try to experiment with parameters of the first "Sine plasma". For this purpose simply click on "Sine Plasma" in "Program" window.


Tutorial 2

tutorial1.jpg (11929 bytes)

1) Move the cursor to "Commands" window and click on the command
"Plasma" in "Generate" group. Set value of "Variant" in "Controls" to 50.

2) Click on "Add" button.

3) Next, we move "Plasma" to the buffer, for it, click on the command
"Move to Buffer" in "Buffer" group.

4) Click on "Add" button.

5) In "Commands" window choose "Clear texture" in "Buffer" group.
The texture became black.

6) Then choose "Noise" in "Generate" group, and set such values:

Width: 32
Height: 32
Brightness Level: 255

Other parameters left without changes.

7) Click on "Add" button.

8) Now we shall try to deform this checkered field on beforehand prepared
plasma (see item 1). Choose "Distortion by Buffer" in "Deform" group,
then click on "Add" button.

9) Let's smooth edges, choose "Blur" in "Filters" group. Set value
of "Amout" to 2. Then "Add".

10) Let's overlay the plasma for addition to the texture of some fullness.
Choose "Connect Buffer" in "Buffer" group. Then "Add".

11) Ok, it almost all. But gamma of colors disappoint, for adjustment of it
choose "Gamma correction" in "Ajust colors" group. Set value of
"Percents" to 160. Then "Add".

12) That's all, now your texture is ready.

Hint: Try to make similarity of animation moving "XY Offset" in parameters of "Plasma".


Tutorial 3

tutorial3.JPG (12515 bytes)

1) Choose "Sine Plasma" in "Generate" group, then set "Period of X Sine" to 2
and "Green Mask" to 128. Other parameters left without changes. Click on
"Add" button.

2) Choose "Perlin Noise". Set "Variant" to 110 and "Blue Mask" to 128.
Enable "Fixed colors" checkbox. Then "Add" (use it after each command).

3) For further use we shall transfer all this to the buffer "Move to Buffer".

4) Now we shall deform the texture. Choose "Sine distortion" in "Deform"
group. Set "Period of X Sine" and "Period of Y sine" to 3.

5) Choose "Glass" in "Deform" group. Set "Distortion" to 40 and
"Smothness" to 3.

6) Let's deform the texture concerning the kept buffer. Choise "Distorition by
Buffer" in "Deform" group and set such values:

X Amplitude: 60
X Turbulence: 65
Y Turbulence: 150

7) Adjust the colors. Choose "Gamma Correction" in "Adjust the colors" group.
Set "Percents" to 200.

8) That's all, now your texture is ready.

Hint: Try to experiment with parameters of "Sine plasma" and "Perlin Noise".


What is registration?

This software has trial version. This means that we have made the software
available to you for free evaluation. You are entitled to evaluate the software
for up to 30 days without obligation to pay. After 30 days, if you decide to
keep the software, you must register your copy with us.


New Page 2

Why should I register?

For many people, the most pressing reason to register is to get rid of the
annoying nag box which pops up at the most inconvenient times.

But besides this, registration entitles you free technical support and minor
upgrades to the software.

Finally, by registering the software, you provide us with the resources and
incentive to support the software with updates and to develop additional
quality products in the future.